#include <bitset>
#include<string>
#include<iostream>

const int MAX_N = 2e3+5;
std::string s1,s2;
std::bitset<MAX_N> dp[MAX_N];

int main(){
    std::cin>>s1>>s2;
    for(int i=1;i<=s1.size();i++){
        for(int j=1;j<=s2.size();j++){
            
        }
    }
}